Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1169511 - RHEV: [engine-backend] [importDomain] VM creation out of an imported template is blocked in CDA
Summary: RHEV: [engine-backend] [importDomain] VM creation out of an imported template...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Maor
QA Contact: Elad
URL:
Whiteboard: storage
Depends On: 1136902
Blocks: 716511
TreeView+ depends on / blocked
 
Reported: 2014-12-01 21:30 UTC by Allon Mureinik
Modified: 2016-02-10 20:26 UTC (History)
16 users (show)

Fixed In Version: ovirt-engine-3.5.0_vt12
Doc Type: Bug Fix
Doc Text:
Clone Of: 1136902
Environment:
Last Closed: 2015-02-16 19:10:53 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 34240 None None None Never
oVirt gerrit 34734 None None None Never
oVirt gerrit 35448 None None None Never

Description Allon Mureinik 2014-12-01 21:30:18 UTC
+++ This bug was initially created as a clone of Bug #1136902 +++

Description of problem:
Import to a template from an existing imported storage domain which was detached from 1 DC and then attached to another DC and then creating a VM out of it is blocked in CanDoAction. The CDA message is unclear and irrelevant to the operation.

Version-Release number of selected component (if applicable):
ovirt-3.5 RC1.1 
ovirt-engine-3.5.0-0.0.master.20140821064931.gitb794d66.el6.noarch

How reproducible:
Always

Steps to Reproduce:
On 2 DCs setup:
1. Create 2 storage domains on the same DC. Create a VM with disks on one of them and then create a template out of it
2. Detach the domain from the first DC and attach it to the second DC 
3. Import the template and try to create a VM out of it

Actual results:
Operation is blocked with:

2014-09-03 17:27:00,585 WARN  [org.ovirt.engine.core.bll.AddVmFromTemplateCommand] (ajp--127.0.0.1-8702-1) [4dcadda1] CanDoAction of action AddVmFromTemplate failed. Reasons:VAR__ACTION__ADD,VAR__TYPE__VM,VALIDATI
ON.VM.NUM_OF_MONITORS.EXCEEDED


Expected results:
1) Creating a VM out of a template that was imported from an imported storage domain should succeed
2) If there is a limitation for creating aVM out of this template, the CDA message should be relevant.

Additional info: engine.log

--- Additional comment from Maor on 2014-09-18 06:51:52 EDT ---

Exporting a Template to an Export Domain also export the template with num_of_monitors=0.
We should also encounter this bug when importing a Template from an Export Domain.

--- Additional comment from Allon Mureinik on 2014-10-28 02:04:08 EDT ---

(In reply to Maor from comment #1)
> Exporting a Template to an Export Domain also export the template with
> num_of_monitors=0.
> We should also encounter this bug when importing a Template from an Export
> Domain.

Flagging as a Regression based on this.

--- Additional comment from Sven Kieske on 2014-10-28 05:08:57 EDT ---

So this should be a blocker for 3.5.1 release and should get added to the tracker bug.

--- Additional comment from Maor on 2014-10-30 10:43:37 EDT ---

I have verified this with Arik, it seems that the bug does not reproduce with import a Template from an export domain, still verifying the scenario of register a Template through an imported Data Storage Domain.
For now I've moved this bug back to Storage and removed the regression keyword.

===============================================================================
This bug is a clone to RHEV for QA purposes, so it can be formally verified against a RHEV build.

Comment 1 Elad 2014-12-02 09:55:12 UTC
VM creation out of an imported template succeeds.

Verified using rhev3.5 vt12

Comment 2 Allon Mureinik 2015-02-16 19:10:53 UTC
RHEV-M 3.5.0 has been released, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.